This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 630280 - Review Request: ghc-MonadCatchIO-transformers - Monad-transformer compatiblibility with Control.Exception
Review Request: ghc-MonadCatchIO-transformers - Monad-transformer compatiblib...
Status: CLOSED DUPLICATE of bug 746415
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
notready
:
Depends On: 630270
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-04 12:06 EDT by Ben Boeckel
Modified: 2011-10-15 10:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-15 10:53:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-09-04 12:06:45 EDT
Spec URL: http://benboeckel.net/packaging/ghc-MonadCatchIO-transformers/ghc-MonadCatchIO-transformers.spec
SRPM URL: http://benboeckel.net/packaging/ghc-MonadCatchIO-transformers/ghc-MonadCatchIO-transformers-0.2.2.0-1.fc14.src.rpm
Description:
Provides functions to throw and catch exceptions. Unlike the
functions from @Control.Exception@, which work in @IO@, these
work in any stack of monad transformers (from the
'transformers' package) with @IO@ as the base monad. You can
extend this functionality to other monads, by creating an
instance of the @MonadCatchIO@ class.

% lintmock fedora-14-x86_64-bb
ghc-MonadCatchIO-transformers.src: W: spelling-error Summary(en_US) compatiblibility -> compatibility, compatibly, compatible
ghc-MonadCatchIO-transformers.src: W: invalid-license PublicDomain
ghc-MonadCatchIO-transformers.src: W: strange-permission MonadCatchIO-transformers-0.2.2.0.tar.gz 0640L
ghc-MonadCatchIO-transformers.src: W: strange-permission ghc-MonadCatchIO-transformers.spec 0640L
ghc-MonadCatchIO-transformers.x86_64: W: spelling-error Summary(en_US) compatiblibility -> compatibility, compatibly, compatible
ghc-MonadCatchIO-transformers.x86_64: W: invalid-license PublicDomain
ghc-MonadCatchIO-transformers.x86_64: W: no-documentation
ghc-MonadCatchIO-transformers-devel.x86_64: W: spelling-error Summary(en_US) compatiblibility -> compatibility, compatibly, compatible
ghc-MonadCatchIO-transformers-devel.x86_64: W: invalid-license PublicDomain
ghc-MonadCatchIO-transformers-prof.x86_64: E: devel-dependency ghc-MonadCatchIO-transformers-devel
ghc-MonadCatchIO-transformers-prof.x86_64: W: spelling-error Summary(en_US) compatiblibility -> compatibility, compatibly, compatible
ghc-MonadCatchIO-transformers-prof.x86_64: E: summary-too-long C Profiling libraries for Monad-transformer compatiblibility with Control.Exception
ghc-MonadCatchIO-transformers-prof.x86_64: W: invalid-license PublicDomain
ghc-MonadCatchIO-transformers-prof.x86_64: W: no-documentation
ghc-MonadCatchIO-transformers-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/MonadCatchIO-transformers-0.2.2.0/libHSMonadCatchIO-transformers-0.2.2.0_p.a
4 packages and 0 specfiles checked; 2 errors, 13 warnings.
Comment 1 Jens Petersen 2011-01-28 06:07:25 EST
As earlier discussed on Fedora haskell-devel list,
dropping libraries for now from the toplevel of Haskell-pkg-reviews,
so we, the Haskell SIG, can focus more on getting Haskell apps into Fedora.

To get you library back under the tracker please submit a bin or binlib
package that depends on this library and make this bug block that package
review.  It is a good idea to submit full stacks of packages and then
to add the toplevel program to the tracker.
Comment 2 Jens Petersen 2011-09-07 10:33:58 EDT
This is needed by snap.
Comment 3 Michel Alexandre Salim 2011-09-08 14:29:38 EDT
Ben, could you update this to 0.2.2.2, and use the latest cabal2spec (0.24)?
Comment 4 Jens Petersen 2011-10-15 10:53:11 EDT
I am submitting a new package review in bug 746415.

*** This bug has been marked as a duplicate of bug 746415 ***

Note You need to log in before you can comment on or make changes to this bug.